Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.client
Class HL7AppMessageImpl

    java.lang.Object
      com.stc.connector.tcpip.hl7.client.HL7AppMessageImpl

All Implemented Interfaces:
  HL7AppMessage, MLLPV2CommonInterface

    public class HL7AppMessageImpl

extends java.lang.Object
implements HL7AppMessage, MLLPV2CommonInterface

This class implements the HL7 application message interface and MLLPV2CommonInterface.

Version:
  cvs revision: $Revision: 1.34 $ Last Modified: $Date: 2008/04/24 14:30:39 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7AppMessageImpl()` Constructor for HL7AppMessage.
`HL7AppMessageImpl(HL7ClientApplication application)` Constructor for HL7AppMessage.

Method Summary
`byte[]` | `convertHL7MessagetoXML(java.lang.String payLoad)` Convert HL7 raw message to HL7 XML message, if the hl7 eway receives hl7 xml data
`byte[]` | `convertXMLtoMessage(java.lang.String hl7XmlMessage)` Convert HL7 XML message to HL7 raw message, if the hl7 eway receives hl7 xml data
`byte[]` | `generateAcceptAckMessage()`
`protected java.lang.StringBuffer` | `generateAckNakMessage(java.lang.String acknowledgmentCode)` Method generateAckNakMessage.
`byte[]` | `generateCannedNakMessage()`
`byte[]` | `generateCannedNakMessage(java.lang.String errTextMessage)`
`byte[]` | `generateErrorAckMessage()`
`byte[]` | `generateRejectAckMessage()`
`java.lang.String` | `getACKXMLPayLoad()` The payload holds HL7 ACK XML message.
`HL7ClientApplicationImpl` | `getApplication()` Returns the application.
`java.lang.String` | `getApplicationName()` Used to get the Application name.
`char` | `getBlockType()` The getBlockType method is only used for HLLP (Hybrid Lower Layer Protocol).
`java.lang.String` | `getDatasourceJNDIName()` The getDatasourceJNDIName method is used to get the Datasource JNDI name bound to the perticular dataBase.
`ERR` | `getERR()`
`byte[]` | `getGeneratedAckNakMessage()` Used to get generated ACK and NAK message
`HeuristicsTables` | `getHeuristicsTables()`
`ACK` | `getHL7ACK()`
`Message` | `getHL7Message()`
`MSA` | `getMSA()`
`MSH` | `getMSH()`
`byte[]` | `getPayload()` The payload holds HL7 data.
`int` | `getSequenceNumber()`
`SFT` | `getSFT()`
`java.lang.String` | `getXMLPayLoad()` The payload holds HL7 XML message.
`boolean` | `handleXMLMessage()` Condition to check the incoming and outgoing message is xml or not.
`boolean` | `isDataBlockType()` The isDataBlockType is only used for HLLP (Hybrid Lower Layer Protocol).
`boolean` | `isHL7v3Message()` The isHL7v3Message method is check the received hl7 message is V3 message or not.
`boolean` | `isHL7v3QueuedAcknowledgementType()` Used to find the configured Acknowledgment is Queued one or nor for HL7 v3 Message processing.
`boolean` | `isNAKBlockType()` The isNAKBlockType is only used for HLLP (Hybrid Lower Layer Protocol).
`boolean` | `isServerConnectionType()` The isServerConnectionType method is used to find the server connection type is server or client.
`int` | `loadSequenceNumber()` Loads the sequence number from the persistence file.
`void` | `receive()` Receives the enveloped data over the TCP/IP connection and de-envelopes/validates it (according to LLP settings).
`void` | `send()` Envelopes (according to LLP settings) the HL7 data which is stored in payload, The enveloped HL7 data is then sent out over the TCP/IP connection.
`void` | `sendEnvelopedMsg(byte[] llpMessage)` Envelopes (according to LLP settings) the HL7 data which is stored in payload, The enveloped HL7 data is then sent out over the MLLPv2.
`void` | `sendMessagePayload()` Envelopes (according to LLP settings) the HL7 data which is stored in payload, The enveloped HL7 data is then sent out over the MLLPv2.
`void` | `setACKXMLPayLoad(java.lang.String hl7AckXmlMessage)` The payload holds HL7 ACK XML message.
`void` | `setBlockType(char blockType)` The setBlockType method is only used for HLLP (Hybrid Lower Layer Protocol).
`void` | `setDataBlockType()` The setDataBlockType is only used for HLLP (Hybrid Lower Layer Protocol).
`void` | `setGeneratedAckNakMessage(byte[] bs)` Used to set the ACK or NAK message
`void` | `setHeuristicsTables(HeuristicsTables heuristicsTables)`
`void` | `setHL7ACK(ACK ack)` The setHL7ACK is used to set the ACK message.
`void` | `setHL7Message(Message message)` The setHL7Message is used to set the HL7 Message
`void` | `setMessagePayload(byte[] payload)` The payload holds HL7 data.
`void` | `setNAKBlockType()` The setNAKBlockType is only used for HLLP (Hybrid Lower Layer Protocol).
`void` | `setPayload(byte[] payload)` The payload holds HL7 data.
`void` | `setSequenceNumber(int sequenceNumber)`
`void` | `setXMLPayLoad(java.lang.String hl7XmlMessage)` The payload holds HL7 XML message.
`void` | `storeHL7Ack(java.lang.String messageId, java.lang.String HL7ACK)` Stores the HL7 Ack message in the MLLPV2's persistence storage.
`void` | `storeHL7Nak(java.lang.String messageId, java.lang.String HL7NAK)` Stores the HL7 NAK message in the MLLPV2's persistence storage.
`void` | `storeSequenceNumber()`
`void` | `storeSequenceNumber(int sequenceNumber)` Stores the sequence number to the persistence file.
`java.lang.String` | `toString()`
`void` | `updateMBeanProperty(java.lang.String propertyName, java.lang.String propertyDisplayValue)` The updateMBeanProperty method is used to update the Mbean properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7AppMessageImpl

    public HL7AppMessageImpl()
                      throws HL7ApplicationException

  Constructor for HL7AppMessage.

  Throws:
    `HL7ApplicationException`

### HL7AppMessageImpl

    public HL7AppMessageImpl(HL7ClientApplication application)
                      throws HL7ApplicationException

  Constructor for HL7AppMessage.

  Parameters:
    `application` -
  Throws:
    `HL7ApplicationException`

Method Detail

### getApplication

    public HL7ClientApplicationImpl getApplication()

  Returns the application.

  Returns:
    HL7ClientApplicationImpl

### getPayload

    public byte[] getPayload()
                      throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  The payload holds HL7 data. Before calling the "send()" method, this payload should be set with HL7 data. After calling the "receive()" method, this payload should contain HL7 data.

  Parameters:
    None.

  Specified by:
    `getPayload` in interface `HL7AppMessage`
  Returns:
    `byte[]` - The payload in byte array.
  Throws:
    `HL7ApplicationException`
  See Also:
    `HL7AppMessage.getPayload()`

### setPayload

    public void setPayload(byte[] payload)
                    throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  The payload holds HL7 data. Before calling the "send()" method, this payload should be set with HL7 data. After calling the "receive()" method, this payload should contain a HL7 data.

  Specified by:
    `setPayload` in interface `HL7AppMessage`
  Parameters:
    `payload` - The payload to set.
  Throws:
    `HL7ApplicationException`
  See Also:
    `HL7AppMessage.setPayload(byte[])`

### isNAKBlockType

    public boolean isNAKBlockType()
                           throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  The isNAKBlockType is only used for HLLP (Hybrid Lower Layer Protocol). The blockType can be 'D' (data block) or 'N' (NAK block).

  Parameters:
    None.

  Specified by:
    `isNAKBlockType` in interface `HL7AppMessage`
  Returns:
    `Boolean`
  Throws:
    `HL7ApplicationException`
  See Also:
    `HL7AppMessage.isNAKBlockType()`

### setNAKBlockType

    public void setNAKBlockType()
                         throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  The setNAKBlockType is only used for HLLP (Hybrid Lower Layer Protocol). The blockType can be 'D' (data block) or 'N' (NAK block).

  Parameters:
    None.

  Specified by:
    `setNAKBlockType` in interface `HL7AppMessage`
  Throws:
    `HL7ApplicationException`
  See Also:
    `HL7AppMessage.setNAKBlockType()`

### isDataBlockType

    public boolean isDataBlockType()
                            throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  The isDataBlockType is only used for HLLP (Hybrid Lower Layer Protocol). The blockType can be 'D' (data block) or 'N' (NAK block).

  Parameters:
    None.

  Specified by:
    `isDataBlockType` in interface `HL7AppMessage`
  Returns:
    `Boolean`
  Throws:
    `HL7ApplicationException`
  See Also:
    `HL7AppMessage.isDataBlockType()`

### setDataBlockType

    public void setDataBlockType()
                          throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  The setDataBlockType is only used for HLLP (Hybrid Lower Layer Protocol). The blockType can be 'D' (data block) or 'N' (NAK block).

  Parameters:
    None.

  Specified by:
    `setDataBlockType` in interface `HL7AppMessage`
  Throws:
    `HL7ApplicationException`
  See Also:
    `HL7AppMessage.setDataBlockType()`

### getBlockType

    public char getBlockType()
                      throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  The getBlockType method is only used for HLLP (Hybrid Lower Layer Protocol). The blockType can be 'D' (data block) or 'N' (NAK block).

  Parameters:
    None.

  Specified by:
    `getBlockType` in interface `HL7AppMessage`
  Returns:
    `char` - The block type.
  Throws:
    `HL7ApplicationException`
  See Also:
    `HL7AppMessage.getBlockType()`

### setBlockType

    public void setBlockType(char blockType)
                      throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  The setBlockType method is only used for HLLP (Hybrid Lower Layer Protocol). The blockType can be 'D' (data block) or 'N' (NAK block).

  Specified by:
    `setBlockType` in interface `HL7AppMessage`
  Parameters:
    `blockType` - The type to set.
  Throws:
    `HL7ApplicationException`
  See Also:
    `HL7AppMessage.setBlockType(char)`

### loadSequenceNumber

    public int loadSequenceNumber()
                           throws HL7ApplicationException,
                                  java.io.IOException

  Description copied from interface: `HL7AppMessage`
  Loads the sequence number from the persistence file. The file location is defined by the configuration properties.

  Parameters:
    None.

  Specified by:
    `loadSequenceNumber` in interface `HL7AppMessage`
  Returns:
    `int` - The number stored in file.
  Throws:
    `HL7ApplicationException`
    `java.io.IOException`
  See Also:
    `HL7AppMessage.loadSequenceNumber()`

### storeSequenceNumber

    public void storeSequenceNumber()
                             throws HL7ApplicationException,
                                    java.io.IOException

  Throws:
    `HL7ApplicationException`
    `java.io.IOException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#storeSequenceNumber()`

### storeSequenceNumber

    public void storeSequenceNumber(int sequenceNumber)
                             throws HL7ApplicationException,
                                    java.io.IOException

  Description copied from interface: `HL7AppMessage`
  Stores the sequence number to the persistence file. The file location is defined by the configuration properties.

  Specified by:
    `storeSequenceNumber` in interface `HL7AppMessage`
  Parameters:
    `sequenceNumber` - The number to store.
  Throws:
    `HL7ApplicationException`
    `java.io.IOException`
  See Also:
    `HL7AppMessage.storeSequenceNumber(int)`

### getSequenceNumber

    public int getSequenceNumber()
                          throws HL7ApplicationException

  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#getSequenceNumber()`

### setSequenceNumber

    public void setSequenceNumber(int sequenceNumber)
                           throws HL7ApplicationException

  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#setSequenceNumber(int)`

### getMSH

    public MSH getMSH()
               throws HL7ApplicationException

  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#getMSH()`

### getSFT

    public SFT getSFT()
               throws HL7ApplicationException

  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#getSFT()`

### getMSA

    public MSA getMSA()
               throws HL7ApplicationException

  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#getMSA()`

### getERR

    public ERR getERR()
               throws HL7ApplicationException

  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#getERR()`

### generateAcceptAckMessage

    public byte[] generateAcceptAckMessage()
                                    throws HL7ApplicationException

  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#generateAcceptAckMessage()`

### generateErrorAckMessage

    public byte[] generateErrorAckMessage()
                                   throws HL7ApplicationException

  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#generateErrorAckMessage()`

### generateRejectAckMessage

    public byte[] generateRejectAckMessage()
                                    throws HL7ApplicationException

  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#generateRejectAckMessage()`

### generateAckNakMessage

    protected java.lang.StringBuffer generateAckNakMessage(java.lang.String acknowledgmentCode)
                                                    throws HL7ApplicationException

  Method generateAckNakMessage.

  Parameters:
    `acknowledgmentCode` -
  Returns:
    StringBuffer
  Throws:
    `HL7ApplicationException`

### generateCannedNakMessage

    public byte[] generateCannedNakMessage()
                                    throws HL7ApplicationException

  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#generateCannedNakMessage()`

### generateCannedNakMessage

    public byte[] generateCannedNakMessage(java.lang.String errTextMessage)
                                    throws HL7ApplicationException

  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#generateCannedNakMessage(String)`

### receive

    public void receive()
                 throws HL7ApplicationException,
                        java.io.IOException,
                        TCPIPNoResponseException,
                        TCPIPIncompleteDataException

  Description copied from interface: `HL7AppMessage`
  Receives the enveloped data over the TCP/IP connection and de-envelopes/validates it (according to LLP settings). The HL7 data (the de-enveloped data) is then stores in payload. After this method is called, the received HL7 data is stored in payload. The HL7 data can be retrieved with the getPayload() method.

  Note: If it fails to receive the enveloped data over the TCP/IP connection, java.io.IOException is thrown. There are 3 cases:

  - com.stc.connector.tcpip.model.exception.TCPIPNoResponseException: No any response from external server.
  - com.stc.connector.tcpip.model.exception.TCPIPIncompleteDataException: Gets response from server, but fails to get the complete enveloped data.
  - Other java.io.IOException: E.g connection is down, etc.

  If it fails to de-envelope/validate data, com.stc.connector.tcpip.hl7.exception.HL7ApplicationException is thrown.

  Parameters:
    None.

  Specified by:
    `receive` in interface `HL7AppMessage`
  Throws:
    `HL7ApplicationException`
    `java.io.IOException`
    `TCPIPNoResponseException`
    `TCPIPIncompleteDataException`
  See Also:
    `HL7AppMessage.receive()`

### send

    public void send()
              throws HL7ApplicationException,
                     java.io.IOException

  Description copied from interface: `HL7AppMessage`
  Envelopes (according to LLP settings) the HL7 data which is stored in payload, The enveloped HL7 data is then sent out over the TCP/IP connection.

  Before this method is called, the outgoing HL7 data should already be stored in payload by the setPayload() method. Note: If it fails to send the enveloped data over the TCP/IP connection, IOException will be thrown. If it fails to envelope data, HL7ApplicationException will be thrown.

  Parameters:
    None.

  Specified by:
    `send` in interface `HL7AppMessage`
  Throws:
    `HL7ApplicationException`
    `java.io.IOException`
  See Also:
    `HL7AppMessage.send()`

### getHeuristicsTables

    public HeuristicsTables getHeuristicsTables()
                                         throws HL7ApplicationException

  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#getHeuristicsTables()`

### setHeuristicsTables

    public void setHeuristicsTables(HeuristicsTables heuristicsTables)
                             throws HL7ApplicationException

  Parameters:
    `heuristicsTables` -
  Throws:
    `HL7ApplicationException`

### getHL7Message

    public Message getHL7Message()
                          throws HL7ApplicationException

  Returns:
    Message
  Throws:
    `HL7ApplicationException`

### getHL7ACK

    public ACK getHL7ACK()
                  throws HL7ApplicationException

  Returns:
    ACK
  Throws:
    `HL7ApplicationException`

### setHL7ACK

    public void setHL7ACK(ACK ack)

  The setHL7ACK is used to set the ACK message.

  Parameters:
    `ack` -

### setHL7Message

    public void setHL7Message(Message message)

  The setHL7Message is used to set the HL7 Message

  Parameters:
    `message` -

### getGeneratedAckNakMessage

    public byte[] getGeneratedAckNakMessage()

  Used to get generated ACK and NAK message

  Returns:
    byte array generatedAckNakMessage

### setGeneratedAckNakMessage

    public void setGeneratedAckNakMessage(byte[] bs)

  Used to set the ACK or NAK message

  Parameters:
    `bs` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### storeHL7Ack

    public void storeHL7Ack(java.lang.String messageId,
                            java.lang.String HL7ACK)
                     throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  Stores the HL7 Ack message in the MLLPV2's persistence storage. The persistence storage is a database holding the HL7 messages. This ACK will be stored against the original HL7 request messageId.

  Specified by:
    `storeHL7Ack` in interface `HL7AppMessage`
  Parameters:
    `messageId` - The MSH message control Id of the original HL7 request message
    `HL7ACK` - The complete HL7 ACK message to store
  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#storeHL7Ack()`

### storeHL7Nak

    public void storeHL7Nak(java.lang.String messageId,
                            java.lang.String HL7NAK)
                     throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  Stores the HL7 NAK message in the MLLPV2's persistence storage. The persistence storage is a database holding the HL7 messages. This NAK will be stored against the original HL7 request messageId.

  Specified by:
    `storeHL7Nak` in interface `HL7AppMessage`
  Parameters:
    `messageId` - The MSH message control Id of the original HL7 request message
    `HL7NAK` - The complete HL7 NAK message to store
  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#storeHL7Nak()`

### convertXMLtoMessage

    public byte[] convertXMLtoMessage(java.lang.String hl7XmlMessage)
                               throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  Convert HL7 XML message to HL7 raw message, if the hl7 eway receives hl7 xml data

  Specified by:
    `convertXMLtoMessage` in interface `HL7AppMessage`
  Parameters:
    `hl7XmlMessage` - The xml message to convert.
  Returns:
    `byte[]` - The payload is byte array.
  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#convertXMLtoMessage()`

### convertHL7MessagetoXML

    public byte[] convertHL7MessagetoXML(java.lang.String payLoad)
                                  throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  Convert HL7 raw message to HL7 XML message, if the hl7 eway receives hl7 xml data

  Specified by:
    `convertHL7MessagetoXML` in interface `HL7AppMessage`
  Returns:
    `byte[]` - The xml message in byte array.
  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#convertHL7MessagetoXML()`

### handleXMLMessage

    public boolean handleXMLMessage()
                             throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  Condition to check the incoming and outgoing message is xml or not. This is required if the hl7 eway receives hl7 xml data.

  Specified by:
    `handleXMLMessage` in interface `HL7AppMessage`
  Returns:
    `boolean` -true/false.
  Throws:
    `HL7ApplicationException`
  See Also:
    `HL7AppMessage.handleXMLMessage()`

### setXMLPayLoad

    public void setXMLPayLoad(java.lang.String hl7XmlMessage)
                       throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  The payload holds HL7 XML message. Before calling the "send()" method, this payload should be set with HL7 XML message. After calling the "receive()" method, this payload should contain a HL7 XML message.This is required if the hl7 eway receives hl7 xml data

  Specified by:
    `setXMLPayLoad` in interface `HL7AppMessage`
  Parameters:
    `hl7XmlMessage` - The xml message to store.
  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#setXMLPayLoad()`

### getXMLPayLoad

    public java.lang.String getXMLPayLoad()
                                   throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  The payload holds HL7 XML message. Before calling the "send()" method, this payload should be set with HL7 XML message. After calling the "receive()" method, this payload should contain a HL7 XML message.This is required if the hl7 eway receives hl7 xml data.

  Parameters:
    None.

  Specified by:
    `getXMLPayLoad` in interface `HL7AppMessage`
  Returns:
    `String` - The payload in XML payload.
  Throws:
    `HL7ApplicationException`
  See Also:
    `HL7AppMessage.getXMLPayLoad()`

### setACKXMLPayLoad

    public void setACKXMLPayLoad(java.lang.String hl7AckXmlMessage)
                          throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  The payload holds HL7 ACK XML message. After calling the "convertXMLtoMessage(String payload)" method, this payload should be set with HL7 XML message. After calling the "convertXMLtoMessage(String hl7xmlMessage)" method, this payload should contain a HL7 ACK XML message.This is required if the hl7 eway receives hl7 xml data.

  Specified by:
    `setACKXMLPayLoad` in interface `HL7AppMessage`
  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.appconn.tcpip.hl7.HL7AppMessage#setACKXMLPayLoad()`

### getACKXMLPayLoad

    public java.lang.String getACKXMLPayLoad()
                                      throws HL7ApplicationException

  Description copied from interface: `HL7AppMessage`
  The payload holds HL7 ACK XML message. After calling the "convertXMLtoMessage(String payload)" method, this payload should be set with HL7 XML message. After calling the "convertXMLtoMessage(String hl7xmlMessage)" method, this payload should contain a HL7 ACK XML message.This is required if the hl7 eway receives hl7 xml data.

  Parameters:
    None.

  Specified by:
    `getACKXMLPayLoad` in interface `HL7AppMessage`
  Returns:
    `String` - The payload is xml ack message.
  Throws:
    `HL7ApplicationException`
  See Also:
    `HL7AppMessage.getACKXMLPayLoad()`

### sendEnvelopedMsg

    public void sendEnvelopedMsg(byte[] llpMessage)
                          throws TCPIPApplicationException,
                                 java.io.IOException

  Description copied from interface: `MLLPV2CommonInterface`
  Envelopes (according to LLP settings) the HL7 data which is stored in payload, The enveloped HL7 data is then sent out over the MLLPv2.

  Before this method is called, the outgoing HL7 data should already be stored in payload by the setPayload() method. Note: If it fails to send the enveloped data over the TCP/IP connection, IOException will be thrown. If it fails to envelope data, HL7ApplicationException will be thrown.

  Parameters:

  Specified by:
    `sendEnvelopedMsg` in interface `MLLPV2CommonInterface`
  Parameters:
    `llpMessage` - --The enveloped HL7 Message
  Throws:
    `TCPIPApplicationException`
    `java.io.IOException`
  See Also:
    `MLLPV2CommonInterface.sendEnvelopedMsg(byte[] llpMessage)`

### isServerConnectionType

    public boolean isServerConnectionType()

  Description copied from interface: `MLLPV2CommonInterface`
  The isServerConnectionType method is used to find the server connection type is server or client.

  Specified by:
    `isServerConnectionType` in interface `MLLPV2CommonInterface`
  Returns:
    `boolean` - true or false.
  See Also:
    `MLLPV2CommonInterface.isServerConnectionType()`

### updateMBeanProperty

    public void updateMBeanProperty(java.lang.String propertyName,
                                    java.lang.String propertyDisplayValue)

  Description copied from interface: `MLLPV2CommonInterface`
  The updateMBeanProperty method is used to update the Mbean properties.

  Specified by:
    `updateMBeanProperty` in interface `MLLPV2CommonInterface`
  Parameters:
    `propertyName` - --The property name to be updated.
    `propertyDisplayValue` - --The property display value.
  See Also:
    `com.stc.connector.hl7.framework.llp.MLLPV2CommonInterface#updateMBeanProperty()`

### getDatasourceJNDIName

    public java.lang.String getDatasourceJNDIName()
                                           throws HL7ApplicationException

  Description copied from interface: `MLLPV2CommonInterface`
  The getDatasourceJNDIName method is used to get the Datasource JNDI name bound to the perticular dataBase.

  Specified by:
    `getDatasourceJNDIName` in interface `MLLPV2CommonInterface`
  Returns:
    `String` - JNDI name.
  Throws:
    `HL7ApplicationException`
  See Also:
    `MLLPV2CommonInterface.getDatasourceJNDIName()`

### getApplicationName

    public java.lang.String getApplicationName()

  Description copied from interface: `MLLPV2CommonInterface`
  Used to get the Application name.

  Specified by:
    `getApplicationName` in interface `MLLPV2CommonInterface`
  Returns:
    `String` - Application Name.
  See Also:
    `MLLPV2CommonInterface.getApplicationName()`

### sendMessagePayload

    public void sendMessagePayload()
                            throws HL7ApplicationException,
                                   java.io.IOException

  Description copied from interface: `MLLPV2CommonInterface`
  Envelopes (according to LLP settings) the HL7 data which is stored in payload, The enveloped HL7 data is then sent out over the MLLPv2.

  Before this method is called, the outgoing HL7 data should already be stored in payload by the setPayload() method. Note: If it fails to send the enveloped data over the TCP/IP connection, IOException will be thrown. If it fails to envelope data, HL7ApplicationException will be thrown.

  Parameters:
    None.

  Specified by:
    `sendMessagePayload` in interface `MLLPV2CommonInterface`
  Throws:
    `HL7ApplicationException`
    `java.io.IOException`
  See Also:
    `MLLPV2CommonInterface.sendMessagePayload()`

### setMessagePayload

    public void setMessagePayload(byte[] payload)
                           throws HL7ApplicationException

  Description copied from interface: `MLLPV2CommonInterface`
  The payload holds HL7 data. Before calling the "send()" method, this payload should be set with HL7 data. After calling the "receive()" method, this payload should contain a HL7 data.This method is used only with MLLPv2

  Specified by:
    `setMessagePayload` in interface `MLLPV2CommonInterface`
  Parameters:
    `payload` - The payload to set.
  Throws:
    `HL7ApplicationException`
  See Also:
    `com.stc.connector.hl7.framework.llp.MLLPV2CommonInterface#setMessagePayload()`

### isHL7v3Message

    public boolean isHL7v3Message()

  Description copied from interface: `MLLPV2CommonInterface`
  The isHL7v3Message method is check the received hl7 message is V3 message or not.

  Specified by:
    `isHL7v3Message` in interface `MLLPV2CommonInterface`
  Returns:
    `boolean` - return true or false.
  See Also:
    `MLLPV2CommonInterface.isHL7v3Message()`

### isHL7v3QueuedAcknowledgementType

    public boolean isHL7v3QueuedAcknowledgementType()
                                             throws HL7ApplicationException

  Description copied from interface: `MLLPV2CommonInterface`
  Used to find the configured Acknowledgment is Queued one or nor for HL7 v3 Message processing.

  Specified by:
    `isHL7v3QueuedAcknowledgementType` in interface `MLLPV2CommonInterface`
  Returns:
    `boolean` - return true or false.
  Throws:
    `HL7ApplicationException`
  See Also:
    `MLLPV2CommonInterface.isHL7v3QueuedAcknowledgementType()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD